clear all

A = xlsread('NREL_Thermal.xls', 'A', 'A1:EF136');
%A = xlsread('NREL_Thermal.xls', 'A', 'A1:BY77');

A(isnan(A)) = 0;
I = eye(size(A));
L = inv(I-A);
y = [zeros(13,1);1;zeros(122,1)];

x = L*y;

F = xlsread('NREL_Thermal.xls', 'F', 'E2:E137');

GWP = F'*diag(x);

LCA = GWP(1:14);
NO = GWP(15:78);
EU = GWP(79:136);

e = sum(GWP);
v_f = xlsread('NREL_Thermal.xls', 'A', 'A138:N138')';

A_ff = A(1:14,1:14);
A_bf = A(15:78,1:14);

p_b = ones(64,1);
I_ff = eye(size(A_ff));
p_f = inv(I_ff-A_ff')*(A_bf'*p_b+v_f);

y_f = [zeros(13,1);1];
exl_exp = [e,sum(LCA),sum(NO),sum(EU),p_f'*y_f,];
openvar('exl_exp');
e_ff = GWP * y;


NO_A = sum(NO(1:2));
NO_B = sum(NO(3));
NO_C = sum(NO(4:7));
NO_D = sum(NO(8:33));
NO_E = sum(NO(34:36));
NO_F = sum(NO(37));
NO_G = sum(NO(38:40));
NO_H = sum(NO(41));
NO_I = sum(NO(42:49));
NO_J = sum(NO(50:52));
NO_K = sum(NO(53:57));
NO_L = sum(NO(58));
NO_M = sum(NO(59));
NO_N = sum(NO(60));
NO_O = sum(NO(61:64));

EU_A = sum(EU(1:2));
EU_B = sum(EU(3));
EU_C = sum(EU(4:8));
EU_D = sum(EU(9:31));
EU_E = sum(EU(32:33));
EU_F = sum(EU(34));
EU_G = sum(EU(35:37));
EU_H = sum(EU(38));
EU_I = sum(EU(39:43));
EU_J = sum(EU(44:46));
EU_K = sum(EU(47:51));
EU_L = sum(EU(52));
EU_M = sum(EU(53));
EU_N = sum(EU(54));
EU_O = sum(EU(55:58));

exl_ind_NO = [NO_A,NO_B,NO_C,NO_D,NO_E,NO_F,NO_G,NO_H,NO_I,NO_J,NO_K,NO_L,NO_M,NO_N,NO_O,];
exl_ind_EU = [EU_A,EU_B,EU_C,EU_D,EU_E,EU_F,EU_G,EU_H,EU_I,EU_J,EU_K,EU_L,EU_M,EU_N,EU_O,];

exl_ind = exl_ind_NO+exl_ind_EU;
openvar('exl_ind')
