emissionsThermal = xlsread('NREL_Thermal.xls','Scenarios','G30:H40');
emissionsBiochem = xlsread('NREL_Biochemical.xls','Scenarios','G30:H40');
output = xlsread('NREL_Biochemical.xls','Scenarios','A3:A13');

area(output,emissionsBiochem)
legend('Norway','EU15')
xlabel('Output [TJ/Yr]')
ylabel('GWP [kg/l]')

print -depsc2 'GWPoutputBiochem.eps'
print -dmeta 'GWPoutputBiochem.emf'


area(output,emissionsThermal)
legend('Norway','EU15')
xlabel('Output [TJ/Yr]')
ylabel('GWP [kg/l]')

print -depsc2 'GWPoutputThermal.eps'
print -dmeta 'GWPoutputThermal.emf'
