% xls area-graph from SSB-data on GDP of forestry
% Michal Gryczon 2008

% Read all data from SSB xls
sData = xlsread('skogbnp.xls', 'bnp', 'C9:AL11');  
Year = xlsread('skogbnp.xls', 'bnp', 'C5:AL5');
BNP = xlsread('skogbnp.xls', 'bnp', 'C7:AL7');

sprcData = sData*inv(diag(BNP));

area(Year,100*sprcData');
legend('Forestry','Timber and wood product industries','Wood processing');
