outputPricesBiochem = xlsread('Outputprices.xls','B13:L16')';
outputPricesThermal = xlsread('Outputprices.xls','B6:L9')';
output = xlsread('Outputprices.xls','B2:L2')';

area(output,outputPricesBiochem)
set(gca,'YGrid','on')
xlabel('Output [TJ/Yr]')
ylabel('Unit Price [NOK/litre EtOH]')

print -depsc2 'outputPricesBiochem.eps'
print -dmeta 'outputPricesBiochem.emf'

area(output,outputPricesThermal)
set(gca,'YGrid','on')
xlabel('Output [TJ/Yr]')
ylabel('Unit Price [NOK/litre EtOH]')

print -depsc2 'outputPricesTherm.eps'
print -dmeta 'outputPricesTherm.emf'
